/* PS.CMD - OS/2 - Display equivalent to unix 'ps' command.
   REXX PS v1.7  Peter Gamache  3076 Mississippi St, Saint Paul, MN 55112 
   Copyright October 1992, P Gamache Use at your own risk!
   Adapted by Jacco de Leeuw (leeuw@fwi.uva.nl) for use with Samba:
   just check if a process number (PID) exists.
* Donate money if you wish, this is kindware, you CANNOT sell it.         *
* To see more of my rexx scripts, call: Duonet/The Edge @ (612)636-2155   */

parse upper arg pid rest
if pid ='' then 
  exit 0
found=0
if queued()=0 then signal GetData   /* If queue is empty, don't dawdle  */
MTDQ:                               /* Empty the queue...               */
do forever                          /* Operation(MTDQ) Loop             */
  if queued()=0 then leave          /* If queue = empty, we're done     */
  LINE=linein('QUEUE:')             /* set dummy variable & pull line   */
end                                 /* end operation(MTDQ) loop         */
GetData:            /* Let's get the info from PSTAT.EXE                */
'@echo off'
'pstat /c|rxqueue'  /* Not too tough to exec a command, is it?          */
ParseLoop:          /* Pull lines off the queue and clean them up       */
do forever                               /* Operation(PARSE) loop       */
  if queued()=0 then leave               /* if QUEUE empty, we're done  */
  parse value linein('QUEUE:') with LINE /* set variable & fetch a line */
  if pos('EXE',LINE)=0 then iterate      /* if no 'EXE', then skip      */
  parse value LINE with X1 XX2           /* Break it down  */
  X1=strip(X1,'L','0')
  if X1 = pid then do
     found=1
     leave
  end
end                                      /* end of operation(PARSE) loop*/
exit found                               /* We're done!                 */
